<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/get_equal_name_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr">  1 </span>:Info: get_equal_name_: 2020-04-27  get_equal_name_
<span id="L2" class="LineNr">  2 </span>
<span id="L3" class="LineNr">  3 </span>
<span id="L4" class="LineNr">  4 </span>The get_equal_name_ subroutine accepts an entryname and an equal
<span id="L5" class="LineNr">  5 </span>name as its input and constructs a target name by combining
<span id="L6" class="LineNr">  6 </span>components and subcomponents from an entry name and an equal name,
<span id="L7" class="LineNr">  7 </span>according to the Multics equal convention.  Refer to &quot;Constructing
<span id="L8" class="LineNr">  8 </span>and Interpreting Names&quot; in the Programmer's Reference Manual for a
<span id="L9" class="LineNr">  9 </span>description of the equal convention and for the rules used to
<span id="L10" class="LineNr"> 10 </span>construct and interpret equal names.
<span id="L11" class="LineNr"> 11 </span>
<span id="L12" class="LineNr"> 12 </span>
<span id="L13" class="LineNr"> 13 </span>Entry points in get_equal_name_:
<span id="L14" class="LineNr"> 14 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L15" class="LineNr"> 15 </span>
<span id="L16" class="LineNr"> 16 </span>
<span id="L17" class="LineNr"> 17 </span>:Entry: get_equal_name_: 1990-08-22  get_equal_name_
<span id="L18" class="LineNr"> 18 </span>
<span id="L19" class="LineNr"> 19 </span>Function: constructs a target name by combining components and
<span id="L20" class="LineNr"> 20 </span>subcomponents from an entry name and an equal name which are supplied
<span id="L21" class="LineNr"> 21 </span>as arguments according to the Multics equal convention.
<span id="L22" class="LineNr"> 22 </span>
<span id="L23" class="LineNr"> 23 </span>
<span id="L24" class="LineNr"> 24 </span>Syntax:
<span id="L25" class="LineNr"> 25 </span>declare get_equal_name_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L26" class="LineNr"> 26 </span>        fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L27" class="LineNr"> 27 </span>call get_equal_name_ <span class="textRainbow_lv0_p0">(</span>entryname<span class="textRainbow_lv0_o0">,</span> equal_name<span class="textRainbow_lv0_o0">,</span> target_name<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L28" class="LineNr"> 28 </span>
<span id="L29" class="LineNr"> 29 </span>
<span id="L30" class="LineNr"> 30 </span>Arguments:
<span id="L31" class="LineNr"> 31 </span>entryname
<span id="L32" class="LineNr"> 32 </span>   is the entryname from which the target is to be constructed.
<span id="L33" class="LineNr"> 33 </span>   Trailing blanks in the entryname character string are ignored.
<span id="L34" class="LineNr"> 34 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L35" class="LineNr"> 35 </span>equal_name
<span id="L36" class="LineNr"> 36 </span>   is the equal string from which the target is to be constructed.
<span id="L37" class="LineNr"> 37 </span>   Trailing blanks in the equal name character string are ignored.
<span id="L38" class="LineNr"> 38 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L39" class="LineNr"> 39 </span>target_name
<span id="L40" class="LineNr"> 40 </span>   is the target name that is constructed.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L41" class="LineNr"> 41 </span>
<span id="L42" class="LineNr"> 42 </span>
<span id="L43" class="LineNr"> 43 </span>code
<span id="L44" class="LineNr"> 44 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have one of the
<span id="L45" class="LineNr"> 45 </span>   following values:
<span id="L46" class="LineNr"> 46 </span>   0
<span id="L47" class="LineNr"> 47 </span>      the target name was constructed without error.
<span id="L48" class="LineNr"> 48 </span>   error_table_$bad_equal_name
<span id="L49" class="LineNr"> 49 </span>      the equal name has a bad format.
<span id="L50" class="LineNr"> 50 </span>
<span id="L51" class="LineNr"> 51 </span>
<span id="L52" class="LineNr"> 52 </span>   error_table_$badequal
<span id="L53" class="LineNr"> 53 </span>      there was no letter or component in the entryname that
<span id="L54" class="LineNr"> 54 </span>      corresponds to a percent character <span class="textRainbow_lv0_p0">(</span>%<span class="textRainbow_lv0_p0">)</span> or an equal sign <span class="textRainbow_lv0_p0">(</span>=<span class="textRainbow_lv0_p0">)</span>
<span id="L55" class="LineNr"> 55 </span>      in the equal name.
<span id="L56" class="LineNr"> 56 </span>
<span id="L57" class="LineNr"> 57 </span>   error_table_$longeql
<span id="L58" class="LineNr"> 58 </span>      the target name to be constructed is longer than 32 characters.
<span id="L59" class="LineNr"> 59 </span>      Only the first 32 characters are returned.
<span id="L60" class="LineNr"> 60 </span>
<span id="L61" class="LineNr"> 61 </span>
<span id="L62" class="LineNr"> 62 </span>Notes:
<span id="L63" class="LineNr"> 63 </span>
<span id="L64" class="LineNr"> 64 </span>If the error_table_$badequal status code is returned, then a
<span id="L65" class="LineNr"> 65 </span>target_name is returned in which null character strings are used to
<span id="L66" class="LineNr"> 66 </span>represent the missing letter or component of entryname.
<span id="L67" class="LineNr"> 67 </span>
<span id="L68" class="LineNr"> 68 </span>If the error_table_$longeql status code is returned, then the first
<span id="L69" class="LineNr"> 69 </span>32 characters of the target name to be constructed are returned as
<span id="L70" class="LineNr"> 70 </span>target_name.
<span id="L71" class="LineNr"> 71 </span>
<span id="L72" class="LineNr"> 72 </span>The entryname argument that is passed to get_equal_name_ can also be
<span id="L73" class="LineNr"> 73 </span>used as the target_name argument, as long as the argument has a
<span id="L74" class="LineNr"> 74 </span>length of 32 characters.
<span id="L75" class="LineNr"> 75 </span>
<span id="L76" class="LineNr"> 76 </span>
<span id="L77" class="LineNr"> 77 </span>:Entry:  check_equal_name_:  2020-04-27  get_equal_name_$check_equal_name_
<span id="L78" class="LineNr"> 78 </span>
<span id="L79" class="LineNr"> 79 </span>
<span id="L80" class="LineNr"> 80 </span>Function:  This entrypoint checks the validity of the equal name
<span id="L81" class="LineNr"> 81 </span>based on the equal convention.
<span id="L82" class="LineNr"> 82 </span>
<span id="L83" class="LineNr"> 83 </span>
<span id="L84" class="LineNr"> 84 </span>Syntax:
<span id="L85" class="LineNr"> 85 </span>declare get_equal_name_$check_equal_name_ entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L86" class="LineNr"> 86 </span>        fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L87" class="LineNr"> 87 </span>call get_equal_name_$check_equal_name_ <span class="textRainbow_lv0_p0">(</span>equalname<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L88" class="LineNr"> 88 </span>
<span id="L89" class="LineNr"> 89 </span>
<span id="L90" class="LineNr"> 90 </span>Arguments:
<span id="L91" class="LineNr"> 91 </span>equalname
<span id="L92" class="LineNr"> 92 </span>   is the equal string to be checked.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L93" class="LineNr"> 93 </span>code
<span id="L94" class="LineNr"> 94 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have the same
<span id="L95" class="LineNr"> 95 </span>   values described for get_equal_name_.
<span id="L96" class="LineNr"> 96 </span>
<span id="L97" class="LineNr"> 97 </span>
<span id="L98" class="LineNr"> 98 </span>:Entry: component: 1990-08-22  get_equal_name_$component
<span id="L99" class="LineNr"> 99 </span>
<span id="L100" class="LineNr">100 </span>Function: constructs a target archive and component name by
<span id="L101" class="LineNr">101 </span>substituting components and or characters from the archive and
<span id="L102" class="LineNr">102 </span>component name into the equal names, according to the Multics archive
<span id="L103" class="LineNr">103 </span>component pathname equal convention.  Refer to the Programmer's
<span id="L104" class="LineNr">104 </span>Reference Manual for a description of archive component pathnames and
<span id="L105" class="LineNr">105 </span>the equal convention.
<span id="L106" class="LineNr">106 </span>
<span id="L107" class="LineNr">107 </span>
<span id="L108" class="LineNr">108 </span>Syntax:
<span id="L109" class="LineNr">109 </span>declare get_equal_name_$component entry <span class="textRainbow_lv0_p0">(</span>char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span>
<span id="L110" class="LineNr">110 </span>        char<span class="textRainbow_lv1_p0">(</span>*<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> char<span class="textRainbow_lv1_p0">(</span>32<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_o0">,</span> fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L111" class="LineNr">111 </span>call get_equal_name_$component <span class="textRainbow_lv0_p0">(</span>entryname<span class="textRainbow_lv0_o0">,</span> equal_entryname<span class="textRainbow_lv0_o0">,</span>
<span id="L112" class="LineNr">112 </span>        equal_component<span class="textRainbow_lv0_o0">,</span> target_entryname<span class="textRainbow_lv0_o0">,</span> target_component<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L113" class="LineNr">113 </span>
<span id="L114" class="LineNr">114 </span>
<span id="L115" class="LineNr">115 </span>Arguments:
<span id="L116" class="LineNr">116 </span>entryname
<span id="L117" class="LineNr">117 </span>   is the archive name from which the target archive name is
<span id="L118" class="LineNr">118 </span>   constructed, or is the entryname from which the target component
<span id="L119" class="LineNr">119 </span>   name is constructed if the source pathname is not an archive
<span id="L120" class="LineNr">120 </span>   component pathname.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L121" class="LineNr">121 </span>component
<span id="L122" class="LineNr">122 </span>   is the component name from which the target component name is
<span id="L123" class="LineNr">123 </span>   constructed, or is a null string if the source pathname is not an
<span id="L124" class="LineNr">124 </span>   archive component pathname.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L125" class="LineNr">125 </span>equal_entryname
<span id="L126" class="LineNr">126 </span>   is the equal name from which the target archive name is
<span id="L127" class="LineNr">127 </span>   constructed or is the equal name from which the target entryname
<span id="L128" class="LineNr">128 </span>   is constructed if the target pathname is not an archive component
<span id="L129" class="LineNr">129 </span>   pathname.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L130" class="LineNr">130 </span>
<span id="L131" class="LineNr">131 </span>
<span id="L132" class="LineNr">132 </span>equal_component
<span id="L133" class="LineNr">133 </span>   is the equal name from which the target component name is
<span id="L134" class="LineNr">134 </span>   constructed or is a null string if the target pathname is not an
<span id="L135" class="LineNr">135 </span>   archive component pathname.  <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>
<span id="L136" class="LineNr">136 </span>target_entryname
<span id="L137" class="LineNr">137 </span>   is the target archive name that is constructed or is the target
<span id="L138" class="LineNr">138 </span>   entryname that is constructed if the target pathname is not an
<span id="L139" class="LineNr">139 </span>   archive component pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L140" class="LineNr">140 </span>target_component
<span id="L141" class="LineNr">141 </span>   is the target component name that is constructed or is a null
<span id="L142" class="LineNr">142 </span>   string if the target pathname is not an archive component
<span id="L143" class="LineNr">143 </span>   pathname.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>
<span id="L144" class="LineNr">144 </span>
<span id="L145" class="LineNr">145 </span>
<span id="L146" class="LineNr">146 </span>code
<span id="L147" class="LineNr">147 </span>   is a standard system error code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span> It can have one of the
<span id="L148" class="LineNr">148 </span>   following:
<span id="L149" class="LineNr">149 </span>
<span id="L150" class="LineNr">150 </span>   error_table_$bad_equal_name
<span id="L151" class="LineNr">151 </span>      either the equal_entryname or equal_component has a bad format.
<span id="L152" class="LineNr">152 </span>
<span id="L153" class="LineNr">153 </span>   error_table_$badequal
<span id="L154" class="LineNr">154 </span>      there was no letter or component in the archive or component
<span id="L155" class="LineNr">155 </span>      name that corresponds to a percent character <span class="textRainbow_lv0_p0">(</span>%<span class="textRainbow_lv0_p0">)</span> or an equal
<span id="L156" class="LineNr">156 </span>      sign <span class="textRainbow_lv0_p0">(</span>=<span class="textRainbow_lv0_p0">)</span> in the appropriate equal name.
<span id="L157" class="LineNr">157 </span>
<span id="L158" class="LineNr">158 </span>
<span id="L159" class="LineNr">159 </span>   error_table_$longeql
<span id="L160" class="LineNr">160 </span>      the target archive or component name to be constructed is
<span id="L161" class="LineNr">161 </span>      longer than 32 characters.
<span id="L162" class="LineNr">162 </span>
<span id="L163" class="LineNr">163 </span>   error_table_$no_archive_for_equal
<span id="L164" class="LineNr">164 </span>      the target pathname has an equal name in the archive name
<span id="L165" class="LineNr">165 </span>      position but the source pathname is not an archive component
<span id="L166" class="LineNr">166 </span>      pathname.
<span id="L167" class="LineNr">167 </span>
<span id="L168" class="LineNr">168 </span>
<span id="L169" class="LineNr">169 </span>Notes:
<span id="L170" class="LineNr">170 </span>
<span id="L171" class="LineNr">171 </span>If the error_table_$badequal status code is returned, the name
<span id="L172" class="LineNr">172 </span>returned in the appropriate output argument is constructed using null
<span id="L173" class="LineNr">173 </span>character strings to represent the letter or component names missing
<span id="L174" class="LineNr">174 </span>from the source name.
<span id="L175" class="LineNr">175 </span>
<span id="L176" class="LineNr">176 </span>If the error_table_$longequal status code is returned, then the first
<span id="L177" class="LineNr">177 </span>32 characters of the constructed name are returned in the appropriate
<span id="L178" class="LineNr">178 </span>output argument.
<span id="L179" class="LineNr">179 </span>
<span id="L180" class="LineNr">180 </span>The two parts of input arguments to this subroutine are expected to
<span id="L181" class="LineNr">181 </span>be the output arguments from two calls to expand_pathname_$component,
<span id="L182" class="LineNr">182 </span>one call for the source pathname and one for the pathname containing
<span id="L183" class="LineNr">183 </span>the equal names.
<span id="L184" class="LineNr">184 </span>
<span id="L185" class="LineNr">185 </span>
<span id="L186" class="LineNr">186 </span>The output arguments of this subroutine should be used in a call to
<span id="L187" class="LineNr">187 </span>the initiate _file_$component subroutine.  For example:
<span id="L188" class="LineNr">188 </span>
<span id="L189" class="LineNr">189 </span>call expand_pathname_$component <span class="textRainbow_lv0_p0">(</span>arg1<span class="textRainbow_lv0_o0">,</span> source_dir<span class="textRainbow_lv0_o0">,</span> source_ename<span class="textRainbow_lv0_o0">,</span>
<span id="L190" class="LineNr">190 </span>          source_comp<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L191" class="LineNr">191 </span>if code ^= 0 then ...
<span id="L192" class="LineNr">192 </span>
<span id="L193" class="LineNr">193 </span>call expand_pathname_$component <span class="textRainbow_lv0_p0">(</span>arg2<span class="textRainbow_lv0_o0">,</span> target_dir<span class="textRainbow_lv0_o0">,</span> equal_entry<span class="textRainbow_lv0_o0">,</span>
<span id="L194" class="LineNr">194 </span>          equal_component<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L195" class="LineNr">195 </span>if code ^= 0 then ...
<span id="L196" class="LineNr">196 </span>
<span id="L197" class="LineNr">197 </span>call get_equal_name_$component <span class="textRainbow_lv0_p0">(</span>source_ename<span class="textRainbow_lv0_o0">,</span> source_comp<span class="textRainbow_lv0_o0">,</span>
<span id="L198" class="LineNr">198 </span>     equal_entry<span class="textRainbow_lv0_o0">,</span> equal_component<span class="textRainbow_lv0_o0">,</span> target_ename<span class="textRainbow_lv0_o0">,</span> target_comp<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L199" class="LineNr">199 </span>if code ^= 0 then ...
<span id="L200" class="LineNr">200 </span>
<span id="L201" class="LineNr">201 </span>
<span id="L202" class="LineNr">202 </span>call initiate_file_$component <span class="textRainbow_lv0_p0">(</span>source_dir<span class="textRainbow_lv0_o0">,</span> source_ename<span class="textRainbow_lv0_o0">,</span> source_comp<span class="textRainbow_lv0_o0">,</span>
<span id="L203" class="LineNr">203 </span>          R_ACCESS<span class="textRainbow_lv0_o0">,</span> source_ptr<span class="textRainbow_lv0_o0">,</span> source_bit_count<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L204" class="LineNr">204 </span>if code ^= 0 then ...
<span id="L205" class="LineNr">205 </span>
<span id="L206" class="LineNr">206 </span>call initiate_file_$component <span class="textRainbow_lv0_p0">(</span>target_dir<span class="textRainbow_lv0_o0">,</span> target_ename<span class="textRainbow_lv0_o0">,</span> target_comp<span class="textRainbow_lv0_o0">,</span>
<span id="L207" class="LineNr">207 </span>          R_ACCESS<span class="textRainbow_lv0_o0">,</span> target_ptr<span class="textRainbow_lv0_o0">,</span> target_bit_count<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L208" class="LineNr">208 </span>if code ^= 0 then ...
<span id="L209" class="LineNr">209 </span>
<span id="L210" class="LineNr">210 </span>
<span id="L211" class="LineNr">211 </span>:hcom:
<span id="L212" class="LineNr">212 </span>
<span id="L213" class="LineNr">213 </span>
<span id="L214" class="LineNr">214 </span>
<span id="L215" class="LineNr">215 </span>/****^  HISTORY COMMENTS:
<span id="L216" class="LineNr">216 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-04-24<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-02-22<span class="textRainbow_lv0_o0">,</span>MCR10088<span class="textRainbow_lv0_p0">)</span>,
<span id="L217" class="LineNr">217 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>MR12.6g-0056<span class="textRainbow_lv0_p0">)</span>:
<span id="L218" class="LineNr">218 </span>      A) Correct entrypoint name for get_equal_name_$check_equal_name_.  It
<span id="L219" class="LineNr">219 </span>         was documented as get_equal_name_$check_equal_name <span class="textRainbow_lv0_p0">(</span>w/o final _<span class="textRainbow_lv0_p0">)</span>.
<span id="L220" class="LineNr">220 </span>      B) Change dates for other headings to iso_date format.
<span id="L221" class="LineNr">221 </span>                                                   END HISTORY COMMENTS */
<span id="L222" class="LineNr">222 </span>
<span id="L223" class="LineNr">223 </span>
<span id="L224" class="LineNr">224 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
